{% load static i18n %}
<div class="modal fade" id="reportsModal" tabindex="-1" role="dialog">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button class="close" type="button" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">{% trans "Relatórios sobre as Terras Indígenas" %}</h4>
      </div>
      <div class="modal-body">
        <ul class="nav nav-tabs" id="aboutTabs">
          {% if site.domain == 'guarani.map.as' %}
          <li class="active"><a href="#tijuridic" data-toggle="tab">{% trans "Quadro Resumo" %}</a></li>
          <li><a href="#titable" data-toggle="tab">{% trans "Downloads" %}</a></li>
          {% else %}
          <li class="active"><a href="#titable" data-toggle="tab">{% trans "Downloads" %}</a></li>
          {% endif %}
        </ul>
        <div class="tab-content" id="aboutTabsContent">
          {% if site.domain == 'guarani.map.as' %}
          <div id="tijuridic"
               ng-controller="LandTenureReportCtrl"
               class="tab-pane fade active in">
            <h3 class="text-center">{% trans "Quadro Resumo da Presença dos Povos Guarani no Brasil" %}</h3>
            <br>
            <table class="table">
              <thead>
                <tr>
                  <th colspan="13" class="text-center"><strong>{% trans "Terras Indígenas com presença dos povos Guarani" %}</strong></th>
                </tr>
                <tr>
                  <th></th>
                  <th>{% trans "Descrição" %}</th>
                  <th>{% trans "Total" %}</th>
                  <th ng-repeat="state in report.states" ng-bind="state"></th>
                </tr>
              </thead>

              <tbody>
                <tr>
                  <td></td>
                  <td><strong>{% trans "TIs com Uso Exclusivo dos Guarani" %}</strong></td>
                  <td ng-bind="report.exclusive_guarani_lands_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="report.exclusive_guarani_lands[state]"></td>
                </tr>
                <tr ng-repeat="tenure in tenures">
                  <td><span ng-style="{'color': t.map_color || 'transparent'}">&#x2b24;</span></td>
                  <td ng-bind="tenure.name"></td>
                  <td ng-bind="tenure.total_lands_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="tenure[state]"></td>
                </tr>
                <tr>
                  <td><span style="color: transparent;">&#x2b24;</span></td>
                  <td colspan="12"></td>
                </tr>
                <tr ng-repeat="tenure in tenures_2nd_block">
                  <td><span ng-style="{'color': t.map_color || 'transparent'}">&#x2b24;</span></td>
                  <td ng-bind="tenure.name"></td>
                  <td ng-bind="tenure.total_lands_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="tenure[state]"></td>
                </tr>

                <tr>
                  <td><span style="color: transparent;">&#x2b24;</span></td>
                  <td colspan="12"></td>
                </tr>
                <tr>
                  <td></td>
                  <td><strong>{% trans "TIs de Outros povos com Presença Guarani" %}</strong></td>
                  <td ng-bind="report.non_exclusive_guarani_lands_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="report.non_exclusive_guarani_lands[state]"></td>
                </tr>
                <tr>
                  <td><span style="color: transparent;">&#x2b24;</span></td>
                  <td colspan="12"></td>
                </tr>

                <tr>
                  <th></th>
                  <th>Total Geral</th>
                  <th ng-bind="report.guarani_lands_count"></th>
                  <th ng-repeat="state in report.states" ng-bind="report.guarani_lands[state]"></th>
                </tr>

                <tr>
                  <td><span style="color: transparent;">&#x2b24;</span></td>
                  <td colspan="12"></td>
                </tr>

                <tr>
                  <td><span style="color: transparent;">&#x2b24;</span></td>
                  <td colspan="12" class="text-center"><strong>Aldeia dos povos Guarani</strong></td>
                </tr>
                <tr>
                  <th></th>
                  <th>Descrição</th>
                  <th>Total</th>
                  <th ng-repeat="state in report.states" ng-bind="state"></th>
                </tr>

                <tr>
                  <td></td>
                  <td>Aldeias Atualmente Ocupadas</td>
                  <td ng-bind="report.guarani_presence_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="report.guarani_presence[state]"></td>
                </tr>
                <tr>
                  <td></td>
                  <td>Antigas aldeias, locais de uso ou áreas esbulhada (Dentro de TIs Reconhecidas*)</td>
                  <td ng-bind="report.no_guarani_presence_inside_land_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="report.no_guarani_presence_inside_land[state]"></td>
                </tr>
                <tr>
                  <td></td>
                  <td>Antigas aldeias, locais de uso ou áreas esbulhada (Fora de TIs Reconhecidas*)</td>
                  <td ng-bind="report.no_guarani_presence_outside_land_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="report.no_guarani_presence_outside_land[state]"></td>
                </tr>
                <tr>
                  <td></td>
                  <td>Antigas aldeias, locais de uso ou áreas esbulhada (Total)</td>
                  <td ng-bind="report.no_guarani_presence_count"></td>
                  <td ng-repeat="state in report.states" ng-bind="report.no_guarani_presence[state]"></td>
                </tr>
              </tbody>
            </table>
            <p><small>* Estão sendo chamadas TIs Reconhecidas todas aquelas já delimitadas pela Funai, as Declaradas, as Homologadas e as Regularizadas</small></p>
          </div>
          {% endif %}

          <div id="titable" class="tab-pane fade {% if site.domain != 'guarani.map.as' %}active in{% endif %}">
            <br>
            <p class="text-center">{% trans "Você pode baixar a planilha das terras indigenas, e os shapefiles das camadas de Aldeias e Terras Indígenas" %}</p>
            <p class="text-center">{% trans "A geração destes arquivos pode demorar vários minutos, por favor aguarde o download começar após clicar abaixo no arquivo abaixo desejado." %}</p>

            <br>
            <h4>{% trans "Arquivos Terras Indígenas" %}</h4>
            <p class="lead text-left">
              <a class="btn  btn-success" href="{% url 'export_xls_lands' %}?format=xlsx">{% trans "baixar Planilha Excel" %}</a>
              {% if user.is_authenticated %}
              <a class="btn  btn-success" href="{% url 'lands-kml-list' %}">{% trans "baixar KML" %}</a>
              <a class="btn  btn-success" href="{% url 'lands_shapefiles' %}">{% trans "baixar Shapefile" %}</a>
              {% endif %}
            </p>
            <br>

            <h4>Arquivos de Aldeias Indígenas</h4>
            <p class="text-left">
              Todas as aldeias
              <a class="btn  btn-success" href="{% url 'export_xls_villages' %}?format=xlsx">{% trans "baixar Planilha Excel" %}</a>
              {% if user.is_authenticated %}
                  <a class="btn  btn-success" href="{% url 'villages_shapefiles' %} ">{% trans "baixar Shapefile" %}</a>
              {% endif %}
            </p>
            {% if user.is_authenticated %}
            <p class="text-left">
              Aldeias habitadas atualmente
              <a class="btn  btn-success" href="{% url 'villages-kml-list' %}?guarani_presence=True ">{% trans "baixar KML" %}</a>
            </p>
            <p class="text-left">
              Antigas áreas de usuo ou áreas esbulhadas
              <a class="btn  btn-success" href="{% url 'villages-kml-list' %}?guarani_presence=False ">{% trans "baixar KML" %}</a>
            </p>
            {% endif %}
            <br>

            <h4>Sítios Arqueológicos</h4>
            <p class="lead text-left">
                <a class="btn  btn-success" href="{% url 'export_xls_archaeological' %}?format=xlsx">{% trans "baixar Planilha Excel" %}</a>
                {% if user.is_authenticated %}
                  <a class="btn  btn-success" href="{% url 'arch-kml-list' %}">{% trans "baixar KML" %}</a>
                    <a class="btn  btn-success" href="{% url 'archaeological_shapefiles' %}">{% trans "baixar Shapefile" %}</a>
                {% endif %}
            </p>
        </div>

        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">{% trans "Fechar" %}</button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
